<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <title>Task 30.35</title>
</head>
<script>
    $(document).ready(function () {
        $("#btn-sign-up").on("click", function () {
            onBtnSignUpClick()
        })
    })


    function onBtnSignUpClick() {
        console.log("SignUp được ấn")
        var vOjb = {
            firstname: "",
            lastname: "",
            email: "",
            password: "",
            confirmPassword: "",
            iAccept: false
        }
        // thu thập dữ liệu
        getDataForm(vOjb);
        var isCheck = validateData(vOjb);
        if (isCheck) {
            showData (vOjb)
        }
    }
    // thu thập dữ liệu
    function getDataForm(paramOjb) {
        paramOjb.firstname = $("#inp-first-name").val();
        paramOjb.lastname = $("#inp-last-name").val();
        paramOjb.email = $("#inp-email").val();
        paramOjb.password = $("#inp-password").val();
        paramOjb.confirmPassword = $("#inp-confirm-password").val();
        paramOjb.iAccept = $("#check-confirm").is(":checked");
    }

    function validateData(paramOjb) {
        var vRegexStr = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;

        if (paramOjb.firstname == "") {
            console.log("Hãy nhập FirstName")
            return false
        }
        if (paramOjb.lastname == "") {
            console.log("Hãy nhập LastName")
            return false
        }
        if (paramOjb.email == "") {
            console.log("Hãy nhập Email")
            return false
        }
        if (!vRegexStr.test(paramOjb.email)) {
            console.log("Email không hợp lệ")
            return false
        }
        if (paramOjb.password == "") {
            console.log("Hãy nhập Password")
            return false
        }
        if (paramOjb.confirmPassword == "") {
            console.log("Hãy nhập Confirm Password")
            return false
        }
        if (paramOjb.confirmPassword != paramOjb.password) {
            console.log("Confirm Password không khớp. Kiểm tra lại !!")
            return false
        }

        if (!paramOjb.iAccept) {
            $("#p-agree-feedback").css("display", "block")

            console.log("You must accept before submiting")
            return false
        } else {
            $("#p-agree-feedback").css("display", "none")
        }
        return true
    }
    function showData(paramOjb) {
        console.log("First name: " + paramOjb.firstname);
        console.log("Last name: " + paramOjb.lastname);
        console.log("Email: " + paramOjb.email);
        console.log("Password: " + paramOjb.password);
        console.log("Confirm Password: " + paramOjb.confirmPassword);
        console.log("I Accept: " + paramOjb.iAccept);
    }
</script>

<body>
    <div class="container">
        <div class="row">
            <div class="jumbotron signup-form col-sm-5 mx-auto">
                <div class="form-group">
                    <h3>Sign up</h3>
                </div>
                <div class="form-group">
                    <p>Please fill in this form to create account!</p>
                </div>
                <div class="form-group">
                    <hr>
                </div>
                <div class="form-group">
                    <div class="row">
                        <div class="col">
                            <input type="text" class="form-control" id="inp-first-name" placeholder="First Name">
                        </div>
                        <div class="col">
                            <input type="text" class="form-control" id="inp-last-name" placeholder="Last Name">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <input type="email" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                    <input type="password" class="form-control" id="inp-password" placeholder="Password">
                </div>
                <div class="form-group">
                    <input type="password" class="form-control" id="inp-confirm-password"
                        placeholder="Confirm Password">
                </div>
                <div class="form-group">
                    <input type="checkbox" id="check-confirm"> I accept the
                    <a href="#">Terms Of User</a> &amp;
                    <a href="#">Pricary Policy</a>
                    <p id="p-agree-feedback" class="invalid-feedback">You must accept before submiting</p>
                </div>
                <div class="form-group">
                    <button id="btn-sign-up" class="btn btn-primary btn-lg">Sign Up</button>
                </div>
            </div>
        </div>
    </div>
</body>

</html>